> For the complete documentation index, see [llms.txt](https://docs.bird.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bird.com/api/collaborations-api/api-reference/sla-policies.md).

# SLA Policies

## GET /workspaces/{workspaceId}/inbox/sla-policies

> List SLA policies

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Manage SLA policies for your inbox","name":"sla_policies"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"parameters":{"pagination.param.limit":{"description":"Limits the number of results to return.","in":"query","name":"limit","schema":{"default":25,"maximum":100,"type":"integer"}},"pagination.param.pageToken":{"description":"The cursor that keeps track of the current position in the results.","in":"query","name":"pageToken","schema":{"type":"string"}},"pagination.param.reverse":{"description":"Reverses the order in which the results are returned.","in":"query","name":"reverse","schema":{"default":false,"type":"boolean"}}},"schemas":{"common.paginated_list.response_body":{"description":"A list of results that supports pagination.","properties":{"nextPageToken":{"description":"The token to fetch the next page of results. If empty, there are no more results to fetch.","type":"string"}},"title":"PaginatedList","type":"object"},"inbox.sla.policy":{"additionalProperties":false,"properties":{"createdAt":{"format":"date-time","type":"string"},"description":{"type":"string"},"id":{"format":"uuid","type":"string"},"metrics":{"$ref":"#/components/schemas/inbox.sla.metrics"},"name":{"type":"string"},"timeKeepingMethod":{"$ref":"#/components/schemas/inbox.sla.time_keeping_method"},"updatedAt":{"format":"date-time","type":"string"},"workspaceId":{"format":"uuid","type":"string"}},"required":["id","workspaceId","name","description","timeKeepingMethod","createdAt","updatedAt"],"type":"object"},"inbox.sla.metrics":{"additionalProperties":false,"properties":{"firstReplyTime":{"items":{"$ref":"#/components/schemas/inbox.sla.metric.definition"},"type":"array"},"nextReplyTime":{"items":{"$ref":"#/components/schemas/inbox.sla.metric.definition"},"type":"array"}},"type":"object"},"inbox.sla.metric.definition":{"additionalProperties":false,"properties":{"breachThreshold":{"description":"The number of minutes until a ticket reaches a breached state for this SLA metric.","type":"integer"},"priority":{"description":"Apply the metric for tickets with this priority","type":"string"},"warningThreshold":{"description":"The number of minutes until a ticket reaches a warning state for this SLA metric.","type":"integer"}},"required":["priority","breachThreshold","warningThreshold"],"type":"object"},"inbox.sla.time_keeping_method":{"description":"Determine how the timers are tracking expiry.\n* `clock` will simply count using the full 24 hours of a day.\n* `businessHours` takes into account the business hours configured for the assigned team.\n","enum":["clock","businessHours"],"type":"string"}}},"paths":{"/workspaces/{workspaceId}/inbox/sla-policies":{"get":{"operationId":"listSLAPolicies","parameters":[{"$ref":"#/components/parameters/pagination.param.limit"},{"$ref":"#/components/parameters/pagination.param.pageToken"},{"$ref":"#/components/parameters/pagination.param.reverse"}],"responses":{"200":{"description":"A paginated list of SLA policies.","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/common.paginated_list.response_body"},{"type":"object","properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/inbox.sla.policy"}}},"required":["results"]}]}}}}},"summary":"List SLA policies","tags":["sla_policies"]}}}}
```

## POST /workspaces/{workspaceId}/inbox/sla-policies

> Create SLA policy

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Manage SLA policies for your inbox","name":"sla_policies"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"inbox.sla.time_keeping_method":{"description":"Determine how the timers are tracking expiry.\n* `clock` will simply count using the full 24 hours of a day.\n* `businessHours` takes into account the business hours configured for the assigned team.\n","enum":["clock","businessHours"],"type":"string"},"inbox.sla.metrics":{"additionalProperties":false,"properties":{"firstReplyTime":{"items":{"$ref":"#/components/schemas/inbox.sla.metric.definition"},"type":"array"},"nextReplyTime":{"items":{"$ref":"#/components/schemas/inbox.sla.metric.definition"},"type":"array"}},"type":"object"},"inbox.sla.metric.definition":{"additionalProperties":false,"properties":{"breachThreshold":{"description":"The number of minutes until a ticket reaches a breached state for this SLA metric.","type":"integer"},"priority":{"description":"Apply the metric for tickets with this priority","type":"string"},"warningThreshold":{"description":"The number of minutes until a ticket reaches a warning state for this SLA metric.","type":"integer"}},"required":["priority","breachThreshold","warningThreshold"],"type":"object"},"inbox.sla.policy":{"additionalProperties":false,"properties":{"createdAt":{"format":"date-time","type":"string"},"description":{"type":"string"},"id":{"format":"uuid","type":"string"},"metrics":{"$ref":"#/components/schemas/inbox.sla.metrics"},"name":{"type":"string"},"timeKeepingMethod":{"$ref":"#/components/schemas/inbox.sla.time_keeping_method"},"updatedAt":{"format":"date-time","type":"string"},"workspaceId":{"format":"uuid","type":"string"}},"required":["id","workspaceId","name","description","timeKeepingMethod","createdAt","updatedAt"],"type":"object"},"error.validation":{"additionalProperties":false,"description":"A validation error returned from the API. The `details` map keys are JSON paths\npointing into the request body / parameters; values are arrays of human-readable\nmessages describing each problem with that path.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":{"items":{"type":"string"},"type":"array"},"description":"Per-field validation messages keyed by JSON path.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"ValidationError","type":"object"}},"responses":{"inbox.sla.policy.response":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/inbox.sla.policy"}}},"description":"The SLA policy."},"error.response.invalid_request":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.validation"}}},"description":"The request contains invalid parameters or body fields."}}},"paths":{"/workspaces/{workspaceId}/inbox/sla-policies":{"post":{"operationId":"createSLAPolicy","requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"properties":{"name":{"type":"string"},"description":{"type":"string"},"timeKeepingMethod":{"$ref":"#/components/schemas/inbox.sla.time_keeping_method"},"metrics":{"$ref":"#/components/schemas/inbox.sla.metrics"}},"required":["name","description","timeKeepingMethod"]}}},"required":true},"responses":{"201":{"$ref":"#/components/responses/inbox.sla.policy.response"},"422":{"$ref":"#/components/responses/error.response.invalid_request"}},"summary":"Create SLA policy","tags":["sla_policies"]}}}}
```

## GET /workspaces/{workspaceId}/inbox/sla-policies/{slaPolicyId}

> Get SLA policy

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Manage SLA policies for your inbox","name":"sla_policies"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"responses":{"inbox.sla.policy.response":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/inbox.sla.policy"}}},"description":"The SLA policy."},"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."}},"schemas":{"inbox.sla.policy":{"additionalProperties":false,"properties":{"createdAt":{"format":"date-time","type":"string"},"description":{"type":"string"},"id":{"format":"uuid","type":"string"},"metrics":{"$ref":"#/components/schemas/inbox.sla.metrics"},"name":{"type":"string"},"timeKeepingMethod":{"$ref":"#/components/schemas/inbox.sla.time_keeping_method"},"updatedAt":{"format":"date-time","type":"string"},"workspaceId":{"format":"uuid","type":"string"}},"required":["id","workspaceId","name","description","timeKeepingMethod","createdAt","updatedAt"],"type":"object"},"inbox.sla.metrics":{"additionalProperties":false,"properties":{"firstReplyTime":{"items":{"$ref":"#/components/schemas/inbox.sla.metric.definition"},"type":"array"},"nextReplyTime":{"items":{"$ref":"#/components/schemas/inbox.sla.metric.definition"},"type":"array"}},"type":"object"},"inbox.sla.metric.definition":{"additionalProperties":false,"properties":{"breachThreshold":{"description":"The number of minutes until a ticket reaches a breached state for this SLA metric.","type":"integer"},"priority":{"description":"Apply the metric for tickets with this priority","type":"string"},"warningThreshold":{"description":"The number of minutes until a ticket reaches a warning state for this SLA metric.","type":"integer"}},"required":["priority","breachThreshold","warningThreshold"],"type":"object"},"inbox.sla.time_keeping_method":{"description":"Determine how the timers are tracking expiry.\n* `clock` will simply count using the full 24 hours of a day.\n* `businessHours` takes into account the business hours configured for the assigned team.\n","enum":["clock","businessHours"],"type":"string"},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"}}},"paths":{"/workspaces/{workspaceId}/inbox/sla-policies/{slaPolicyId}":{"get":{"operationId":"getSLAPolicy","responses":{"200":{"$ref":"#/components/responses/inbox.sla.policy.response"},"404":{"$ref":"#/components/responses/error.response.not_found"}},"summary":"Get SLA policy","tags":["sla_policies"]}}}}
```

## PATCH /workspaces/{workspaceId}/inbox/sla-policies/{slaPolicyId}

> Update SLA policy

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Manage SLA policies for your inbox","name":"sla_policies"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"inbox.sla.time_keeping_method":{"description":"Determine how the timers are tracking expiry.\n* `clock` will simply count using the full 24 hours of a day.\n* `businessHours` takes into account the business hours configured for the assigned team.\n","enum":["clock","businessHours"],"type":"string"},"inbox.sla.metrics":{"additionalProperties":false,"properties":{"firstReplyTime":{"items":{"$ref":"#/components/schemas/inbox.sla.metric.definition"},"type":"array"},"nextReplyTime":{"items":{"$ref":"#/components/schemas/inbox.sla.metric.definition"},"type":"array"}},"type":"object"},"inbox.sla.metric.definition":{"additionalProperties":false,"properties":{"breachThreshold":{"description":"The number of minutes until a ticket reaches a breached state for this SLA metric.","type":"integer"},"priority":{"description":"Apply the metric for tickets with this priority","type":"string"},"warningThreshold":{"description":"The number of minutes until a ticket reaches a warning state for this SLA metric.","type":"integer"}},"required":["priority","breachThreshold","warningThreshold"],"type":"object"},"inbox.sla.policy":{"additionalProperties":false,"properties":{"createdAt":{"format":"date-time","type":"string"},"description":{"type":"string"},"id":{"format":"uuid","type":"string"},"metrics":{"$ref":"#/components/schemas/inbox.sla.metrics"},"name":{"type":"string"},"timeKeepingMethod":{"$ref":"#/components/schemas/inbox.sla.time_keeping_method"},"updatedAt":{"format":"date-time","type":"string"},"workspaceId":{"format":"uuid","type":"string"}},"required":["id","workspaceId","name","description","timeKeepingMethod","createdAt","updatedAt"],"type":"object"},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"},"error.validation":{"additionalProperties":false,"description":"A validation error returned from the API. The `details` map keys are JSON paths\npointing into the request body / parameters; values are arrays of human-readable\nmessages describing each problem with that path.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":{"items":{"type":"string"},"type":"array"},"description":"Per-field validation messages keyed by JSON path.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"ValidationError","type":"object"}},"responses":{"inbox.sla.policy.response":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/inbox.sla.policy"}}},"description":"The SLA policy."},"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."},"error.response.invalid_request":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.validation"}}},"description":"The request contains invalid parameters or body fields."}}},"paths":{"/workspaces/{workspaceId}/inbox/sla-policies/{slaPolicyId}":{"patch":{"operationId":"updateSLAPolicy","requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"properties":{"name":{"type":"string"},"description":{"type":"string"},"timeKeepingMethod":{"$ref":"#/components/schemas/inbox.sla.time_keeping_method"},"metrics":{"$ref":"#/components/schemas/inbox.sla.metrics"}}}}},"required":true},"responses":{"200":{"$ref":"#/components/responses/inbox.sla.policy.response"},"404":{"$ref":"#/components/responses/error.response.not_found"},"422":{"$ref":"#/components/responses/error.response.invalid_request"}},"summary":"Update SLA policy","tags":["sla_policies"]}}}}
```

## DELETE /workspaces/{workspaceId}/inbox/sla-policies/{slaPolicyId}

> Delete SLA policy

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Manage SLA policies for your inbox","name":"sla_policies"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."}},"schemas":{"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"}}},"paths":{"/workspaces/{workspaceId}/inbox/sla-policies/{slaPolicyId}":{"delete":{"operationId":"deleteSLAPolicy","responses":{"204":{"description":"OK"},"404":{"$ref":"#/components/responses/error.response.not_found"}},"summary":"Delete SLA policy","tags":["sla_policies"]}}}}
```
